Remove endpoints
Requires a user JWT with the admin role.
Authorization
AdminJWT AuthorizationBearer <token>
User JWT; backend checks the admin role. Project API keys cannot access admin endpoints.
In: header
Path Parameters
project_id*integer
Range
0 <= valueid*integer
Range
0 <= valueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
reason*string
Audit reason; required for limit exceptions, lock/score changes, overrides, rotation and deletion.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://api.hisend.app/v1/admin/projects/0/endpoints/0" \ -H "Content-Type: application/json" \ -d '{ "reason": "string" }'Empty
{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}{
"error": "string",
"message": "string"
}